%define name	gnome-bluephone
%define tarname bluephone
%define version	0.2
%define release 3mdk

Name: 	 	%{name}
Summary: 	GNOME applet for bluetooth phone two-way control
Version: 	%{version}
Release: 	%{release}

Source:		%{tarname}-%{version}.tar.bz2
URL:		http://sourceforge.net/projects/bluephone
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick
BuildRequires:	bluez-devel bluez-sdp-devel libgnomeui2-devel openobex-devel

%description
BluePhone is a GNOME applet to allow you to remotely adminster a
bluetooth-enabled mobile phone from your desktop and also to control your
desktop from your mobile phone.

%prep
%setup -q -n %tarname-%version
touch configure
perl -p -i -e 's/openobex\/obex.h/obex.h/g' src/main.c

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="bluephone" icon="%{name}.png" needs="x11" title="Bluephone" longtitle="Bluetooth phone utility" section="More Applications/Communications"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/phone.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/phone.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/phone.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/bluephone
%{_datadir}/gnome/apps/Accessories/bluephone.desktop
%{_datadir}/pixmaps/bluephone/phone.png
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Aug 24 2004 Austin Acton <austin@mandrake.org> 0.2-3mdk
- fix menu again

* Sun May 2 2004 Austin Acton <austin@mandrake.org> 0.2-2mdk
- fix menu

* Mon Apr 5 2004 Austin Acton <austin@mandrake.org> 0.2-1mdk
- initial package
